#
# spec file for package perl-WWW-BashOrg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-WWW-BashOrg
Version:        1.001003
Release:        1.1
%define cpan_name WWW-BashOrg
Summary:        simple module to obtain quotes from http://bash.org/ and http://www.qdb.us/
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/WWW-BashOrg/
Source:         http://www.cpan.org/authors/id/Z/ZO/ZOFFIX/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Grouped)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::TokeParser::Simple)
BuildRequires:  perl(LWP::UserAgent)
Requires:       perl(Class::Accessor::Grouped)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::TokeParser::Simple)
Requires:       perl(LWP::UserAgent)
%{perl_requires}

%description
A simple a module to obtain either a random quote or a quote by number from
either the http://bash.org/ manpage or the http://qdb.us/ manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README README.md

%changelog
* Tue Apr 14 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
